Profiles API

The Profiles API lets you create, read, update, and delete browser profiles programmatically.

List Profiles

GET /profiles?workspaceId=WORKSPACE_ID&page=1&limit=20

curl https://api.meetlogin.com/api/v1/profiles \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -G -d workspaceId=YOUR_WORKSPACE_ID

Get a Profile

GET /profiles/:id

curl https://api.meetlogin.com/api/v1/profiles/PROFILE_ID \
  -H "Authorization: Bearer YOUR_API_KEY"

Create a Profile

POST /profiles

curl -X POST https://api.meetlogin.com/api/v1/profiles \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "My Profile",
    "os": "win",
    "browserVersion": "137",
    "workspaceId": "YOUR_WORKSPACE_ID"
  }'

Update a Profile

PUT /profiles/:id

curl -X PUT https://api.meetlogin.com/api/v1/profiles/PROFILE_ID \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name": "Updated Name", "tags": ["amazon", "us"]}'

Delete a Profile

DELETE /profiles/:id

curl -X DELETE https://api.meetlogin.com/api/v1/profiles/PROFILE_ID \
  -H "Authorization: Bearer YOUR_API_KEY"

Start a Profile

POST /profiles/:id/start

curl -X POST https://api.meetlogin.com/api/v1/profiles/PROFILE_ID/start \
  -H "Authorization: Bearer YOUR_API_KEY"